Bug 22875 - Documentation misleading for import_patrons command line script
Summary: Documentation misleading for import_patrons command line script
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-09 10:31 UTC by Colin Campbell
Modified: 2019-05-30 19:12 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Document verbose option more fully (860 bytes, patch)
2019-05-09 10:38 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 22875: Document verbose option in import_patrons (1012 bytes, patch)
2019-05-11 23:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2019-05-09 10:31:36 UTC
In the import_patrons.pl command line script the documentation for the --verbose option merely states Be verbose it does not indicate that the option is repeatable and that 2 repetitions are required to get a report of lines that were rejected. This is also different from some previous versions which reported failed lines on a single --verbose
Comment 1 Colin Campbell 2019-05-09 10:38:30 UTC
Created attachment 89497 [details] [review]
Document verbose option more fully

Trivial documentation change
Clarifies usage of verbose option
Comment 2 Katrin Fischer 2019-05-11 23:19:52 UTC
Created attachment 89625 [details] [review]
Bug 22875: Document verbose option in import_patrons

Docs did not state that verbose can be repeated or that you
need more than 1 repetition to see lines that have failed

To test:
- Run ./import_patrons.pl -h
- Verify the additional documentation for -v is shown.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2019-05-11 23:20:17 UTC
Documentation change in CLI script, moving straight to PQA.
Comment 4 Nick Clemens 2019-05-15 12:17:30 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-05-30 19:12:49 UTC
Pushed to 18.11.x or 18.11.06